---
#
#A storage device is considered available if all of the following conditions are met:
#
#The device must have no partitions.
#The device must not have any LVM state.
#The device must not be mounted.
#The device must not contain a file system.
#The device must not contain a Ceph BlueStore OSD.
#The device must be larger than 5 GB.
#Ceph will not provision an OSD on a device that is not available.
#
# Destroy the partition table (all data!) on sdb
# dd bs=1M count=1 </dev/zero >/dev/sdb
#
- name: apply ceph role
  collections:
    - community.aws
  hosts: ceph_servers
  vars:
    ansible_python_interpreter: /usr/bin/python3
  roles:
    - role: ceph
      vars:
        only_check_is_up: true
      #  rgw_frontend_port: 443
      #  rgw_ssl: true
